{
   "format_version":"1.16.100",
   "minecraft:item":{
      "description":{
         "category":"equipment",
         "identifier":"vatonage:ultimate_sword"
      },
      "components":{
         "minecraft:creative_category":{
            "parent":"itemGroup.name.sword"
         },
         "minecraft:max_stack_size":1,
         "minecraft:use_duration":2,
         "minecraft:hand_equipped":true,
         "minecraft:durability":{
            "max_durability":3000
         },
         "minecraft:repairable":{
            "repair_items":[
               {
                  "repair_amount":1000,
                  "items":[
                     "vatonage:ultimate_ingot"
                  ]
               }
            ]
         },
         "minecraft:mining_speed":1.5,
         "minecraft:damage":30,
         "minecraft:enchantable":{
            "value":10,
            "slot":"sword"
         },
         "minecraft:icon":{
            "texture":"ultimate_sword"
         },
         "minecraft:display_name":{
            "value":"Ultimate Sword"
         },
         "minecraft:can_destroy_in_creative":false,
         "minecraft:digger":{
            "use_efficiency":true,
            "destroy_speeds":[
               {
                  "block":"minecraft:web",
                  "speed":15
               },
               {
                  "block":"minecraft:bamboo",
                  "speed":10
               }
            ]
         },
         "minecraft:weapon":{
            "on_hurt_entity":{
               "event":"effect"
            }
         }
      },
      "events":{
         "effect":{
            "run_command":{
               "command":[
                  "execute @s ^ ^ ^2 damage @e[r=1.5] 5 entity_attack entity @s"
               ]
            }
         }
      }
   }
}